using System;
using KitsuneCafe.Sys;
using UnityEngine;

namespace KitsuneCafe.ItemSystem
{
  public interface IEquippable : IGameObject
  {
    event EventHandler<bool> Readied;
    event EventHandler Attacked;
    event EventHandler Reloaded;

    void OnEquip(InventoryInstance inventory);
    void OnUnequip();
  }
}
